local arcade_config = require("arcade_config")
o2aX = arcade_config.org2arc_escala
cxr = arcade_config.character_per_row-1
cxr2 = arcade_config.character_per_row_base2
cw = arcade_config.character_width
ch = arcade_config.character_height
-- posició en el gif
gps_gif_col = 7
gps_gif_row = 3

gps={hab=5,x=48,y=24,bb={x=0,y=0,w=8,h=8}}

function gps.init()
    local habs={{33,8},{13,4},{51,9},{50,4},{42,7}}
    local r=1+math.random(0,#habs-1)
    gps.hab=habs[r][1]
    gps.x=habs[r][2]*8
    gps.update=gps.update
    gps.draw=gps.draw
end

function gps.draw()
    -- draw.surf(112,48,16,16,gps.x,gps.y,16,16)
	local x = gps_gif_col*cw
	local y = gps_gif_row*ch
	draw.surf(x,y,cw,ch,gps.x*o2aX,gps.y*o2aX,cw,ch)
end

function gps.update()
    if gps.hab==abad.hab then
        if aabb(abad,gps) then
            abad.objects.gps=true
            if abad.objects.gorro==nil then
                current_camera=1
            elseif abad.objects.peu==nil then
                current_camera=2
            else
                current_camera=3
            end
            remove_actor(gps)
            start_scene(scenes.gps_trobat)
        end
    end
end
